Mailinglist Archive: opensuse-factory (365 mails)

< Previous Next >
Aw: Re: [opensuse-factory] akonadi fails to start with latest TW (20200128) - postgres changes version
  • From: Axel Braun <axel.braun@xxxxxx>
  • Date: Thu, 30 Jan 2020 10:35:19 +0100
  • Message-id: <3138146.KWdnTzhKRr@t520.axxite.internal>
Hello Christophe

Gesendet: Donnerstag, 30. Januar 2020 um 09:49 Uhr
Von: "Christophe Giboudeaux" <christophe@xxxxxxx>
An: opensuse-factory@xxxxxxxxxxxx
Betreff: Re: [opensuse-factory] akonadi fails to start with latest TW
(20200128) - postgres changes version

Hello,

On jeudi 30 janvier 2020 09:27:34 CET Axel Braun wrote:
Hi,

seems there is an issue with akonadi on TW if you are using postgres as
database-backend:

docb@T520:~> akonadictl start
Connecting to deprecated signal
QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
docb@T520:~> org.kde.pim.akonadiserver: Starting up the Akonadi Server...
(QFileInfo(/usr/lib/postgresql/bin), QFileInfo(/usr/lib/postgresql/lib64))
org.kde.pim.akonadiserver: Cluster PG_VERSION is 11 , PostgreSQL server is
version 12 , will attempt to upgrade the cluster
org.kde.pim.akonadiserver: Postgres db cluster upgrade failed, Akonadi
will
fail to start. Sorry.

Read https://userbase.kde.org/Akonadi#How_to_upgrade_my_PostgreSQL_database.
3F

Well, I did not know that page, but this is basically how I proceeded as well.
Important is to keep the locale-setting to the one the akonadi-db is created
(usually en_US.UTF-8). I hit that trap....

Now akonadi is working again

Thanks
Axel



--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups